
GammaLib - Bug #1050

GModelSpectralLogParabola: Curvature can't get fit

12/27/2013 06:42 PM - Mayer Michael

Status: Closed Start date: 12/27/2013

Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

In GModelSpectralLogParabola a bug occurred in the function update_eval_cache().

In line 963 of GModelSpectralLogParabola.cpp m_last_power is calculated to

m_last_exponent   = m_last_index + m_last_curvature * m_last_log_e_norm;

m_last_power      = std::pow(m_last_e_norm, m_last_index);

in the eval() and eval_gradient()-methods, the function value is then calculated by:

double value = m_norm.value() * m_last_power;

However, this only returns the power law value without any curvature. The correct line of code in line 963 should be:

m_last_power      = std::pow(m_last_e_norm, m_last_exponent);

Is it worth to create a feature branch for changing one word? smile.png 

History

#1 - 01/03/2014 09:31 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Mayer Michael

- Target version set to 00-08-00

- % Done changed from 0 to 100

Changed and merged into devel.

#2 - 01/03/2014 02:20 PM - Mayer Michael

looks good. Curvature can be fit again.

#3 - 01/03/2014 09:07 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
